@use 'sass:map';
@use '@angular/material'as mat;


@mixin set-fonts($theme) {
  $config: mat.get-typography-config($theme);
  $theme-font: map.get($config, font-family);

  // colors for text
  // $config: mat.get-color-config($theme);
  // $foreground-palette: map-get($config, foreground);
  // $text-color: mat.get-color-from-palette($foreground-palette, text);

  .font-config {
    font-family: $theme-font;
    // color: $text-color;
  }

  // set font size for form field errors
  .mat-mdc-form-field-hint-wrapper,
  .mat-mdc-form-field-error-wrapper {
    padding: 0;
    font-size: 90%;
  }
}